apiVersion: apps/v1
kind: Deployment
metadata :
  name: adservice
spec:
  replicas: 1
  selector:
    matchLabels:
      app: adservice
  template:
    metadata:
      labels:
        app: adservice
    spec:
      containers:
        - name: service
          image: gcr.io/google-samples/microservices-demo/....
          ports:
            - containerPort: 9555
          env: 
            - name: PORT
              value/valueFrom: "9555" 
          livenessProbe: 
              periodeSeconds: 5 # Kol 5 secondes 
              exec: 
                  command: ["/bin/grpc_health_probe","-addr:9555"]
          readinessProbe: 
              periodeSeconds: 5 # Kol 5 secondes 
              exec: 
                  command: ["/bin/grpc_health_probe","-addr:9555"]
---
apiVersion: v1  
kind: Service
metadata:
  name: adservice
spec:
  type: ClusterIP
  selector:
    app: adservice 
  ports:
    - protocol: TCP
      port: 9555 
      targetPort: 9555

